# Uses of Class
org.pentaho.reporting.libraries.repository.zip.ZipRepository

Packages that use ZipRepository
Package
Description
org.pentaho.reporting.libraries.repository.zip

## Uses of ZipRepository in org.pentaho.reporting.libraries.repository.zip

Constructors in org.pentaho.reporting.libraries.repository.zip with parameters of type ZipRepository
Modifier
Constructor
Description
``
`ZipContentItem(ZipRepository repository, ZipContentLocation parent, String name)`
``
`ZipContentItem(ZipRepository repository, ZipContentLocation parent, ZipEntry zipEntry, byte[] bytes)`
``
`ZipContentLocation(ZipRepository repository, ZipContentLocation parent, String entryName)`
``
`ZipContentLocation(ZipRepository repository, ZipContentLocation parent, ZipEntry zipEntry)`